Обсуждения операционных систем > Puppy Linux

как собирать или уже проекты готовых к сборке дистрибутивов разных Puppy ?

<< < (3/5) > >>

sfs:

--- Цитата: DdShurick от 05 Май 2022, 11:39:36 ---Тебе нужны пользователи или разработчики?
--- Конец цитаты ---
Разрабы, правильно ставящие задачи и получающие общественнополезные результаты, а не просто развлекающиеся  ;)

forthuser:

--- Цитата: imp от 05 Май 2022, 14:39:20 ---Будет время и вдохновение - продолжу. А можете и сами поковырять
--- Конец цитаты ---
Сoбралась и запустилась  сборка Puppy Linux (Tahr), но не без шероховатстей

1. При запуске собщение "Making the filesystem usable" - False
2.Есть непнятное затормаживание загрузки при загрузке модулей.

В запущенной системе часть пунктов интерфейса Rox-Filer oтoбражаются как каталоги, а не как виджеты
т.к. при сборке системы не нашлось gtkdialog4.pet, jwmconfig.pet., networkrox.pet  (хотя они есть в репозитории tahr)
Как их добавить в скрипт сборки, если они ранее скачены (пробовал Pet пакеты разместить в директории Pet,
но особого результата не увидел как и просто помещения в SandBox и выполнения ./3buildistro)
Ещё в файловом менеджере не срабатвает клик пo файлу и прсмотр файла как текст.


Почему то ещё клавиша Up на клавиатуре отрабатывает как Enter.вызова PrtScr в Paint (возмжнно эт связано с выводом предупреждающих сообщений от Udev)
Для запуска штатнгого Palemoon браузера не хватило каких то библиoтечных файлoв.
 
P.S. При запуске тестовой программы Xorg не смог переключиться на Radeon firmware.

forthuser:
В целом разoбрался  как исправить нерабчие моменты  в интерфейсе сборки описанные в предыдущем сообщении..

sfs:

--- Цитата: forthuser от 23 Май 2022, 02:10:29 ---разoбрался
--- Конец цитаты ---
Со всем вышеописанным?
Почему именно Тахр?

forthuser:

--- Цитата: sfs от 24 Май 2022, 11:35:46 ---Со всем вышеописанным?
Почему именно Тахр?
--- Конец цитаты ---

Tahr потому что:
 1. он у меня собрался до ISO и запустился (файл puppy_tahr_6.0.6.sfs  kernel 3.14.79) в рамках и официальной сборки.
 2. одна программа при её запуске работает в тахр, но крашит хорг в других Puppy (интересно понять почему)
     но, что интересно и на сделанной сборке она крашится в отличии от официальной. (думал, что libpng12.so не хватает, но и ещё чего )
 3. без особых заморочек в рамках taxr собирается и крупный софт (проверено на сбoрке Wine 6.0.2, Seamonkey 2.15)
 4. нет особой разницы с какой системы углубляться в понимание Linux (Puppy) т.к. используемые другие Puppy вполне тоже устраивают если учесть что испoльзую 32бит сборки и как то переходить на 64 пока не вижу особого смысла для себя.

Из вышеписанного по интерфейсу Jwm:
1. для исправления отсутствия запуска некоторых виджетов достатчно дoбавить в /usr/sbin  файл gtk4dialog
2. для исправления отображения некоторых виджетов с директорий на рабочем столе
   в /usr/local/apps  всем директориям изменить  Permission на go=u-w (Public access, not write) и они станут отображаться как иконки-приложения Rox (и в свoйствах)
3. По неправильной отработке клавиши Up достатчно в ассоциации привязки кода клавиши "111" просто удалить её ассоциацию в Jwm
4. "Open as text" в контекстном меню исправляем свойства файла plain_text  (оставив только Read) в  /root/.config/rox.sourceforge.net/mime - (предварительно установив отображение скрытых файлов)
5. для Setup звука добавить /usr/sbin  файл alsawizard или на самом значке звука выбирать звуковую карту.

Не рабочий Palemoon, AbiWord можно исправить добавлением недостающих библиотечных файлов (например поместив их sfs файл или загрузив от sfs другой системы) или установив другой браузер.


Но, "некоторые" программы требовательны к версии Glibc (начиная с 2.31) :) 

P.S. С собщениями присутствующими в процессе зазгрузки системы и зависании на загрузке модулей не разбирался.

Интересно, что в разных Puppy у меня может не работать тап на таче (Synaptic/PS2 не находится) но с этим уже раньше задавал вопрос по исправлению. Привык уже тапать средним пальцем правой руки по тачу:)

на ядре 3.14.79 есть и чья то сборка
sc-pup-32-20.6-0-tretro-kernel-3.14.79-non-pae у меня стартанула ScPup20.0.6+0-T(Barebonesk-3.14.79non-pae).iso

Если "причёсывать" эту сборку до какого то актуального варианта, то думаю как то надо разрешать вопрос с более актуальной glibc (если он как то решается без изменения версии ядра системы)
А, также править возможнсть в менеджере пакетов загружать более актуальные версии ПО присутствующие и рабочие других Puppy. К, примеру FreeCAD устанавливается из Bionic Puppy а из Xenial нет, а в  Fossa вообще его не увидел и вроде тоже в  ScPup32

Навигация

[0] Главная страница сообщений

[#] Следующая страница

[*] Предыдущая страница

Перейти к полной версии